php-zendframework-zend-expressive-1.0.6-1.el7.remi.noarch.rpm


Advertisement

Description

php-zendframework-zend-expressive - PSR-7 Middleware Microframework based on Stratigility

Property Value
Distribution CentOS 7
Repository Les RPM de Remi x86_64
Package filename php-zendframework-zend-expressive-1.0.6-1.el7.remi.noarch.rpm
Package name php-zendframework-zend-expressive
Package version 1.0.6
Package release 1.el7.remi
Package architecture noarch
Package type rpm
Category Development/Libraries
Homepage https://zendframework.github.io/zend-expressive/
License BSD
Maintainer -
Download size 41.38 KB
Installed size 143.11 KB
zend-expressive builds on zend-stratigility to provide a minimalist PSR-7
middleware framework for PHP, with the following features:
* Routing. Choose your own router; we support:
- Aura.Router
- FastRoute
- ZF2's MVC router
* DI Containers, via container-interop. Middleware matched via routing is
retrieved from the composed container.
* Optionally, templating. We support:
-  Plates
-  Twig
-  ZF2's PhpRenderer
Documentation: http://zend-expressive.readthedocs.io/

Alternatives

Package Version Architecture Repository
php-zendframework-zend-expressive-1.0.5-1.el7.remi.noarch.rpm 1.0.5 noarch Les RPM de Remi
php-zendframework-zend-expressive-1.0.0-2.el7.remi.noarch.rpm 1.0.0 noarch Les RPM de Remi Testing
php-zendframework-zend-expressive - - -

Requires

Name Value
php(language) >= 5.6
php-composer(container-interop/container-interop) >= 1.1
php-composer(container-interop/container-interop) < 2
php-composer(psr/http-message) >= 1.0
php-composer(psr/http-message) < 2
php-composer(zendframework/zend-diactoros) >= 1.1
php-composer(zendframework/zend-diactoros) < 2
php-composer(zendframework/zend-expressive-router) >= 1.1
php-composer(zendframework/zend-expressive-router) < 2
php-composer(zendframework/zend-expressive-template) >= 1.0.1
php-composer(zendframework/zend-expressive-template) < 2
php-composer(zendframework/zend-loader) >= 2.5
php-composer(zendframework/zend-stratigility) < 2
php-composer(zendframework/zend-stratigility) >= 1.1
php-reflection -
php-spl -
php-zendframework-zend-loader >= 2.5.1-4

Provides

Name Value
php-composer(zendframework/zend-expressive) = 1.0.6
php-zendframework-zend-expressive = 1.0.6-1.el7.remi

Download

Type URL
Mirror rpms.remirepo.net
Binary Package php-zendframework-zend-expressive-1.0.6-1.el7.remi.noarch.rpm
Source Package php-zendframework-zend-expressive-1.0.6-1.el7.remi.src.rpm

Install Howto

  1. Download latest remi-release rpm from
    http://rpms.remirepo.net/enterprise/7/remi/x86_64/
  2. Install remi-release rpm:
    # rpm -Uvh remi-release*rpm
  3. Install php-zendframework-zend-expressive rpm package:
    # yum --enablerepo=remi install php-zendframework-zend-expressive

Files

Path
/usr/share/doc/php-zendframework-zend-expressive-1.0.6/CHANGELOG.md
/usr/share/doc/php-zendframework-zend-expressive-1.0.6/CONDUCT.md
/usr/share/doc/php-zendframework-zend-expressive-1.0.6/CONTRIBUTING.md
/usr/share/doc/php-zendframework-zend-expressive-1.0.6/NOTES.md
/usr/share/doc/php-zendframework-zend-expressive-1.0.6/README.md
/usr/share/doc/php-zendframework-zend-expressive-1.0.6/composer.json
/usr/share/licenses/php-zendframework-zend-expressive-1.0.6/LICENSE
/usr/share/php/Zend/Expressive-autoload.php
/usr/share/php/Zend/Expressive/AppFactory.php
/usr/share/php/Zend/Expressive/Application.php
/usr/share/php/Zend/Expressive/ErrorMiddlewarePipe.php
/usr/share/php/Zend/Expressive/MarshalMiddlewareTrait.php
/usr/share/php/Zend/Expressive/TemplatedErrorHandler.php
/usr/share/php/Zend/Expressive/WhoopsErrorHandler.php
/usr/share/php/Zend/Expressive/Container/ApplicationFactory.php
/usr/share/php/Zend/Expressive/Container/TemplatedErrorHandlerFactory.php
/usr/share/php/Zend/Expressive/Container/WhoopsErrorHandlerFactory.php
/usr/share/php/Zend/Expressive/Container/WhoopsFactory.php
/usr/share/php/Zend/Expressive/Container/WhoopsPageHandlerFactory.php
/usr/share/php/Zend/Expressive/Container/Exception/ExceptionInterface.php
/usr/share/php/Zend/Expressive/Container/Exception/InvalidArgumentException.php
/usr/share/php/Zend/Expressive/Container/Exception/InvalidServiceException.php
/usr/share/php/Zend/Expressive/Container/Exception/NotFoundException.php
/usr/share/php/Zend/Expressive/Emitter/EmitterStack.php
/usr/share/php/Zend/Expressive/Exception/BadMethodCallException.php
/usr/share/php/Zend/Expressive/Exception/ContainerNotRegisteredException.php
/usr/share/php/Zend/Expressive/Exception/DuplicateRouteException.php
/usr/share/php/Zend/Expressive/Exception/ExceptionInterface.php
/usr/share/php/Zend/Expressive/Exception/InvalidArgumentException.php
/usr/share/php/Zend/Expressive/Exception/InvalidMiddlewareException.php
/usr/share/php/Zend/Expressive/Exception/MissingDependencyException.php
/usr/share/php/Zend/Expressive/Exception/RuntimeException.php

Changelog

2017-01-10 - Remi Collet <remi@fedoraproject.org> - 1.0.6-1
- update to 1.0.6
2016-12-09 - Remi Collet <remi@fedoraproject.org> - 1.0.5-1
- update to 1.0.5
2016-12-08 - Remi Collet <remi@fedoraproject.org> - 1.0.4-1
- update to 1.0.4

See Also

Package Description
php-zendframework-zend-expressive-aurarouter-1.1.1-1.el7.remi.noarch.rpm Aura.Router integration for Expressive
php-zendframework-zend-expressive-aurarouter-1.1.3-1.el7.remi.noarch.rpm Aura.Router integration for Expressive
php-zendframework-zend-expressive-fastroute-1.2.1-1.el7.remi.noarch.rpm FastRoute integration for Expressive
php-zendframework-zend-expressive-fastroute-1.3.0-1.el7.remi.noarch.rpm FastRoute integration for Expressive
php-zendframework-zend-expressive-helpers-2.1.0-1.el7.remi.noarch.rpm Helper/Utility classes for Expressive
php-zendframework-zend-expressive-helpers-2.2.0-1.el7.remi.noarch.rpm Helper/Utility classes for Expressive
php-zendframework-zend-expressive-platesrenderer-1.3.1-1.el7.remi.noarch.rpm Plates integration for Expressive
php-zendframework-zend-expressive-platesrenderer-1.3.2-1.el7.remi.noarch.rpm Plates integration for Expressive
php-zendframework-zend-expressive-router-1.3.2-1.el7.remi.noarch.rpm Router subcomponent for Expressive
php-zendframework-zend-expressive-template-1.0.3-2.el7.remi.noarch.rpm Template subcomponent for Expressive
php-zendframework-zend-expressive-template-1.0.4-1.el7.remi.noarch.rpm Template subcomponent for Expressive
php-zendframework-zend-expressive-twigrenderer-1.4.0-1.el7.remi.noarch.rpm Twig integration for Expressive
php-zendframework-zend-expressive-twigrenderer-1.5.0-1.el7.remi.noarch.rpm Twig integration for Expressive
php-zendframework-zend-expressive-zendrouter-1.2.0-1.el7.remi.noarch.rpm zend-mvc router support for Expressive
php-zendframework-zend-expressive-zendrouter-1.3.0-1.el7.remi.noarch.rpm zend-mvc router support for Expressive
Advertisement
Advertisement